package com.jiuqi.sql;

import java.util.Date;
import java.io.InputStream;

public interface InputRecordBuffer
{
    boolean readRecord(final InputStream p0) throws DBException;
    
    boolean isDeleted();
    
    boolean readBoolean(final FieldInfo p0) throws DBException;
    
    double readDouble(final FieldInfo p0) throws DBException;
    
    int readInt(final FieldInfo p0) throws DBException;
    
    String readString(final FieldInfo p0) throws DBException;
    
    long readLong(final FieldInfo p0) throws DBException;
    
    Date readDate(final FieldInfo p0) throws DBException;
    
    boolean wasNull() throws DBException;
}
